Kerbal Space Program - Bug #427

Linux: Parsing of float values in Part config files dependent on locale
03/17/2013 12:28 PM - Laochailan

Status: Closed Start date: 03/17/2013
Severity: Normal % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 0.19 Language: English (US)
Platform: Linux Mod Related: No
Expansion:

Description

Reproduce:

1. LANG=de_DE.UTF-8 ./KSP.x86

2. Go to VAB

3. see how all floating point values in Part descriptions are garbage and especially Nodes are missing in the places they should be.
Launching with LANG=C fixes the problem.
That's very hilarious. There are languages (e.g. German) where decimal values are separated by comma and not by period.

Whatever you guys are using to parse those values from the Part files seems to consider the system locale for that, rendering the
Game unplayable on all systems with German locale.

Related issues:

Related to Kerbal Space Program - Bug #1114: Game depends on $LANG to work co... Closed 07/25/2013
Has duplicate Kerbal Space Program - Bug #504: Can't connect any parts Closed 03/27/2013
Has duplicate Kerbal Space Program - Bug #1575: FormatException on game loading Duplicate 10/18/2013
History

#1 - 03/17/2013 02:30 PM - Ted
- Status changed from New to Confirmed

- % Done changed from 0 to 10

While | have not observed the behaviour, it can be seen in the following thread

#2 - 03/17/2013 04:50 PM - Anonymous
- Severity changed from High to Urgent

Moving this to urgent priority as it seems to be causing all sorts of issues on Linux

#3 - 03/17/2013 06:34 PM - Ted

- Severity changed from Urgent to Normal

Has a temporary fix.

#4 - 10/30/2013 07:08 AM - sr

- Platform Linux added

#5 - 11/19/2015 06:31 PM - sal_vager
- Status changed from Confirmed to Resolved

- % Done changed from 10 to 100

This is fixed in 1028, system locale is no longer used for float value delimiters.
http://forum.kerbalspaceprogram.com/showthread.php/45846-Linux-0-19-Collision-meshes-seem-to-be-oversized-Game-unplayable

#6 - 07/17/2016 09:17 AM - TriggerAu

- Status changed from Resolved to Closed
